<template>
   <div class="phoneNum">
    <section class="wrapper">
      <!--表單-->
      <div class="form">
      <!--<form action="" methods="post" id="registerForm_1">-->
        <div class="form_b">
          <ul class="step">
            <li class="step_item step--active">
              手机号码
              <div class="before"></div>
            </li>
            <li class="step_item">短信验证</li>
            <li class="step_item">填写基本资料</li>
            <li class="step_item">绑定完成</li>
          </ul>
          <section class="ten_b"><span class="remind">*为必填字段</span></section>
          <section class="ten_b">
            <p class="ten_b_text">请输入您的联络电话</p>
            <p class="ten_b_text">请注意注册/绑定通过后无法修改电话</p>
          </section>
          <section class="ten_b"><span class="ten_b_itemsName">电话
              <p class="allPageRemind">*</p></span>
            <section class="ten_b_content">
              <div class="selectBgc left w_3">
                <select class="content_code" id="select" @change="change($event)">
                  <option value="+86">+86</option>
                  <option value="+852">+852</option>
                </select>
              </div>
              <input class="content_enter right w_6" type="number" value="" name="phone" placeholder="您的手机 (即会员账号)" ref="phoneNum"  >
              <label id ="phoneNum-error" class="error" v-if="errorshow" >字段未填或格式不正确</label>
            </section>
          </section>
        </div>
        <div class="form_b">
          <section class="ten_b btn_b">
            <button class="btn "  id="submit" @click="submit">会员绑定</button>
            <button class="btn_text mgt_24 " id="register" @click="register">新会员注册</button>
          </section>
        </div>
      </div>
      <!---->
      <!---->
      <section class="pop" v-show="popshow">
        <section class="pop_content">
          <div class="pop_close" @click="close"><span></span><span></span></div>
          <div id="content">
            <div v-show="isExist && isType && type === 'old'">
              <div class="confirmInfo mgt_24"><span class="confirmNum">请确认绑定手机号码为：</span><strong>{{datas.phoneNum}}</strong></div>
              <div class="confirmInfo mgt_12 mgb_24"><span class="confirmName">会员姓名：</span><strong>{{datas.name}}</strong></div>
              <div class="pop_info">
              <p>绑定后将无法更改</p>
                <p>如需更改，请于工作时间：09:00-18:00致电021-64756171或洽在线客服</p>
              </div>
            </div>
            <!---->
            <div  v-show="!isExist && type === 'old'">
              <div class="pop_title">手机号码不存在</div>
               <div class="pop_info">
                  <p>请确认手机号码是否正确</p>
                  <p>或是否曾加入10/10会员</p><br>
                  <p>新会员请点选【新会员注册】进行注册</p>
               </div>
            </div>
            <div v-show="isExist && !isType ">
              <div class="pop_title" style="margin-bottom: 0;"></div>
              <div class="pop_info">
                感谢您对10/10的支持！您的会员卡型别不适用10/10 FRIENDS会员计划，故无法绑定。如有任何问题，点选菜单上的在线客服，谢谢。
              </div>
            </div>
            <!---->
            <div v-show="isExist && isType && type==='new'">
              <div class="pop_title">手机号码已被使用</div>
              <div class="pop_info">
                如您已是会员，请点选前页【会员绑定】按钮，或请于工作时间：09:00–18:00致电021–64756171，或发送邮件至<a>info@1010hope.com.hk</a>确认会员讯息，谢谢配合！
                <!--如您已是会员，请点选前页【会员绑定】按钮，或请于工作时间：09:00-18:00致电021-64756171确认会员讯息，谢谢配合！-->
              </div>
            </div>
          </div>
          <div class="pop_confirmBox" v-show="isExist && isType &&type==='old'">
            <button class="confirm_no" @click="back">返回前页</button>
            <button class="confirm_yes" @click="confirm">确认绑定手机</button>
          </div>
        </section>
      </section>
    </section>
   </div>
</template>
<script>
    import store from  '../../utils/store.js';
export default {
    data(){
        return{
                typevalue:'+86',
                areaCode:'',
                phoneNum:'',
                contactId:'',
                errorshow:false,
                datas:{},
                isExist:'',
                isType:'',
                popshow:'',
                type:'',
        }
    },
    components:{

    },
    methods:{
        //返回前页
        back(){
            this.popshow = false;
            this.$forceUpdate();
        },
        //确认绑定
        confirm(){
            this.popshow = false;
            this.$forceUpdate();
            let data1 = {
                phoneNum:this.$refs.phoneNum.value,
                areaCode: this.areaCode,
                type:'old',
                contactId:this.contactId
            }
            store.commit('setData',['msgVerify','register',data1]);
            console.log(store.state.msgVerify.register);
            this.$router.replace('/msgVerify');
            sessionStorage.setItem('path','msgVerify');

        },
        close(){
            this.popshow = false;
            this.$forceUpdate();
        },
        //下拉框点击事件
        change(e){
            let that = this;
            console.log(e.target.selectedIndex);
            console.log(e.target.value);
            that.typevalue = e.target.value;
            console.log(this.typevalue);
            if(that.typevalue === '+86'){
                this.areaCode = 'CN';
            }
            if(that.typevalue === '+852'){
                this.areaCode = 'HK';
            }
        },
        //老会员绑定
        submit(){
            let that = this;
            console.log(this.$refs.phoneNum.value);
            // phoneNum = this.$ref.phoneNum.value;
            let mobilePatternHK = /^(\+852\s)?[5689]{1}\d{7}$/;
            let mobilePatternCN = /^(\+86\s)?1[3456789]{1}\d{9}$/;
            console.log('typevalue',this.typevalue);
            if(that.typevalue === '+86'){
                if(!mobilePatternCN.test(this.$refs.phoneNum.value)){
                    that.errorshow = true;
                    this.$forceUpdate('old');
                    return;
                }else{
                    that.errorshow = false;
                    this.$forceUpdate();
                    this.getAjax('old');
                }
            }
            if(this.typevalue === '+852'){
                if(!mobilePatternHK.test(this.$refs.phoneNum.value)){
                    that.errorshow = true;
                    this.$forceUpdate();
                    return;
                }else{
                    that.errorshow = false;
                    this.$forceUpdate();
                    this.getAjax('old');
                }
            }
        },
        //接口调用
        getAjax(type){
            let that = this;
            let data = {
                phoneNum:this.$refs.phoneNum.value,
                areaCode: this.areaCode,
                openId:context.OpenId
            };
            console.log('data',data);
            this.type = type;
            this.$forceUpdate();
            this.config.server(
                "/Check/Phone/Customer",
                "POST",
                data,
                (data)=> {
                    console.log(data);
                    that.datas = data.records[0];
                    console.log(that.datas);
                    //系统已存在用户，旧号码注册
                    if(type === 'old'){
                        that.type = 'old';
                        that.isType = that.datas.isType;
                        that.isExist = that.datas.isExist;
                        that.contactId = that.datas.contactId;
                        this.popshow = true;
                        this.$forceUpdate();
                    }else{
                        that.type = 'new';
                        that.isType = that.datas.isType;
                        that.isExist = that.datas.isExist;
                        that.contactId = '';
                        if(that.isExist){
                            this.popshow = true;
                        }else{
                            this.popshow = false;
                        }
                        this.$forceUpdate();
                        if(that.isExist && !that.isType){
                            return;
                        }
                        //已存在联系人，电话号码已存在
                        if(that.isExist && that.isType){
                            return;
                        }
                        let data1 = {
                            phoneNum:this.$refs.phoneNum.value,
                            areaCode: this.areaCode,
                            type:'new',
                            contactId:that.contactId
                        }
                        store.commit('setData',['msgVerify','register',data1]);
                        console.log(store.state.msgVerify.register);
                        sessionStorage.setItem('path','msgVerify');
                        console.log('page',sessionStorage.getItem('page'));
                        this.$router.replace('/msgVerify');

                    }
                    this.$forceUpdate();
                },
                (error)=> {
                    console.log('error',error);
                },
            )
        },
       //新用户注册
        register(){
            let that = this;
            console.log(this.$refs.phoneNum.value);
            // phoneNum = this.$ref.phoneNum.value;
            let mobilePatternHK = /^(\+852\s)?[5689]{1}\d{7}$/;
            let mobilePatternCN = /^(\+86\s)?1[3456789]{1}\d{9}$/;
            if(that.typevalue === '+86'){
                if(!mobilePatternCN.test(this.$refs.phoneNum.value)){
                    that.errorshow = true;
                    this.$forceUpdate();
                    return;
                }else{
                    that.errorshow = false;
                    this.$forceUpdate();
                    this.getAjax('new');
                }
            }
            if(this.typevalue === '+852'){
                if(!mobilePatternHK.test(this.$refs.phoneNum.value)){
                    that.errorshow = true;
                    this.$forceUpdate();
                    return;
                }else{
                    that.errorshow = false;
                    this.$forceUpdate();
                    this.getAjax('new');
                }
            }
       },
    },
    created(){
     this.datas = {};
     this.errorshow = '';
     this.phoneNum = '';
     this.areaCode = 'CN';
     this.isExist='';
     this.isType='';
     this.popshow = '';
     this.typevalue = '+86';
     this.type = '';
    },
    beforeCreate(){
        console.log('path',sessionStorage.getItem('path'));
        if(sessionStorage.getItem('path') === 'msgVerify'){
            WeixinJSBridge.call('closeWindow');
        }
    }

}
</script>
<style scoped>
  .phoneNum{
    width: 100%;
    height: 100%;
  }
  .before{
    content: "";
    width: 100%;
    height: 2px;
    position: absolute;
    -webkit-transform: translate3d(0, 60%, 0);
    transform: translate3d(0, 60%, 0);
    background-color: #827159;
    right: 1px;
    bottom: -2px;
  }
  .pop_info{
    line-height: 0.4rem;
    overflow: hidden;
  }
  .pop{
    display: block;
  }

</style>
